package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.houseInfo.PropertyFee;

import java.util.List;

/**
 * 物业费管理Service接口
 * 
 * @author boman
 * @date 2025-03-03
 */
public interface IPropertyFeeService 
{
    /**
     * 查询物业费管理
     * 
     * @param propertyId 物业费管理主键
     * @return 物业费管理
     */
    public PropertyFee selectPropertyFeeByPropertyId(Long propertyId);

    /**
     * 查询物业费管理列表
     * 
     * @param propertyFee 物业费管理
     * @return 物业费管理集合
     */
    public List<PropertyFee> selectPropertyFeeList(PropertyFee propertyFee);

    /**
     * 新增物业费管理
     * 
     * @param propertyFee 物业费管理
     * @return 结果
     */
    public int insertPropertyFee(PropertyFee propertyFee);

    /**
     * 修改物业费管理
     * 
     * @param propertyFee 物业费管理
     * @return 结果
     */
    public int updatePropertyFee(PropertyFee propertyFee);

    /**
     * 批量删除物业费管理
     * 
     * @param propertyIds 需要删除的物业费管理主键集合
     * @return 结果
     */
    public int deletePropertyFeeByPropertyIds(Long[] propertyIds);

    /**
     * 删除物业费管理信息
     * 
     * @param propertyId 物业费管理主键
     * @return 结果
     */
    public int deletePropertyFeeByPropertyId(Long propertyId);

    AjaxResult statistics(PropertyFee propertyFee);

    AjaxResult CallPayment(Long houseId);

    AjaxResult CallPaymentAll(PropertyFee propertyFee);
}
